package org.jeecg.modules.stm.audit.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.stm.audit.entity.AuditActRelOthers;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 控制活动关系表
 * @Author: jeecg-boot
 * @Date:   2024-06-17
 * @Version: V1.0
 */
public interface AuditActRelOthersMapper extends BaseMapper<AuditActRelOthers> {
    List<Map<String, Object>> queryActAndComplianeItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndInnerControlItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndInnerStrategyItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndProblemItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndRiskItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndCheckItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndPracticeItems(@Param("idList") List<Integer> idList);
    List<Map<String, Object>> queryActAndRiskScenarioItems(@Param("idList") List<Integer> idList);
    List<Map<String,Object>> queryAllAct();
    List<Map<String,Object>> queryAllLabels();
    List<Map<String,Object>> queryAllActByTids(@Param("idList") List<Integer> idList,@Param("tp") Integer  tp);

}